### A free/open-source library for quantitative finance

Public Member Functions | Protected Member Functions
ConstantSwaptionVolatility Class Reference

Constant swaption volatility, no time-strike dependence. More...

`#include <ql/termstructures/volatility/swaption/swaptionconstantvol.hpp>`

Inheritance diagram for ConstantSwaptionVolatility:
[legend]

List of all members.

## Public Member Functions

| ConstantSwaptionVolatility (Natural settlementDays, const Calendar &cal, BusinessDayConvention bdc, const Handle< Quote > &volatility, const DayCounter &dc)
| floating reference date, floating market data
| ConstantSwaptionVolatility (const Date &referenceDate, const Calendar &cal, BusinessDayConvention bdc, const Handle< Quote > &volatility, const DayCounter &dc)
| fixed reference date, floating market data
| ConstantSwaptionVolatility (Natural settlementDays, const Calendar &cal, BusinessDayConvention bdc, Volatility volatility, const DayCounter &dc)
| floating reference date, fixed market data
| ConstantSwaptionVolatility (const Date &referenceDate, const Calendar &cal, BusinessDayConvention bdc, Volatility volatility, const DayCounter &dc)
| fixed reference date, fixed market data
TermStructure interface
Date | maxDate () const
| the latest date for which the curve can return values
VolatilityTermStructure interface
Real | minStrike () const
| the minimum strike for which the term structure can return vols
Real | maxStrike () const
| the maximum strike for which the term structure can return vols
SwaptionVolatilityStructure interface
const Period & | maxSwapTenor () const
| the largest length for which the term structure can return vols

## Protected Member Functions

boost::shared_ptr< SmileSection > | smileSectionImpl (const Date &, const Period &) const
boost::shared_ptr< SmileSection > | smileSectionImpl (Time, Time) const
Volatility | volatilityImpl (const Date &, const Period &, Rate) const
Volatility | volatilityImpl (Time, Time, Rate) const

## Detailed Description

Constant swaption volatility, no time-strike dependence.